Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.sql
Interface RowSetWriter

public interface RowSetWriter

An object that implements the `RowSetWriter` interface, called a writer. A writer may be registered with a `RowSet` object that supports the reader/writer paradigm.

If a disconnected `RowSet` object modifies some of its data, and it has a writer associated with it, it may be implemented so that it calls on the writer's `writeData` method internally to write the updates back to the data source. In order to do this, the writer must first establish a connection with the rowset's data source.

If the data to be updated has already been changed in the data source, there is a conflict, in which case the writer will not write the changes to the data source. The algorithm the writer uses for preventing or limiting conflicts depends entirely on its implementation.

Since:
  1.4

Method Summary
`boolean` | `writeData(RowSetInternal caller)` Writes the changes in this `RowSetWriter` object's rowset back to the data source from which it got its data.

Method Detail

### writeData

    public boolean writeData(RowSetInternal caller)
                      throws SQLException

  Writes the changes in this `RowSetWriter` object's rowset back to the data source from which it got its data.

  Parameters:
    `caller` - the `RowSet` object (1) that has implemented the `RowSetInternal` interface, (2) with which this writer is registered, and (3) that called this method internally
  Returns:
    `true` if the modified data was written; `false` if not, which will be the case if there is a conflict
  Throws:
    `SQLException` - if a database access error occurs

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.